RubyGems Navigation menu

rubocop 0.54.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.23.0 - November 15, 2021 (511 KB)
  2. 1.22.3 - October 27, 2021 (508 KB)
  3. 1.22.2 - October 22, 2021 (508 KB)
  4. 1.22.1 - October 04, 2021 (507 KB)
  5. 1.22.0 - September 29, 2021 (506 KB)
  6. 0.54.0 - March 21, 2018 (380 KB)
Show all versions (194 total)

Runtime Dependencies (6):

  • parallel ~> 1.10
  • parser >= 2.5
  • powerpack ~> 0.1
  • rainbow < 4.0, >= 2.2.2
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.0.1, ~> 1.0
  • Development Dependencies (2):

  • bundler ~> 1.3
  • rack >= 0
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    3a2208fe1166b22e109b3a184aa0bd26e04d16e78587b9c714e63980694ade80

    Total downloads 195,930,441

    For this version 3,623,773

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.1.0

    Requires MFA accounts: Since 1.23.0

    Links: